Loading...
Searching...
No Matches
shared_cap File Reference

Shared_cap / Shared_del_cap. More...

`#include <l4/re/util/cap_alloc>`
`#include <l4/sys/cxx/smart_capability_1x>`
Include dependency graph for shared_cap:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.
namespace | L4Re::Util
| Documentation of the L4 Runtime Environment utility functionality in C++.

## Typedefs

template<typename T>
using | L4Re::Util::Shared_cap = L4::Detail::Shared_cap_impl<T, Smart_count_cap<L4_FP_ALL_SPACES>>
| Shared capability that implements automatic free and unmap of the capability selector.
template<typename T>
using | L4Re::Util::shared_cap = L4::Detail::Shared_cap_impl<T, Smart_count_cap<L4_FP_ALL_SPACES>>
| Shared capability that implements automatic free and unmap of the capability selector.
template<typename T>
using | L4Re::Util::Shared_del_cap = L4::Detail::Shared_cap_impl<T, Smart_count_cap<L4_FP_DELETE_OBJ>>
| Shared capability that implements automatic free and unmap+delete of the capability selector.
template<typename T>
using | L4Re::Util::shared_del_cap = L4::Detail::Shared_cap_impl<T, Smart_count_cap<L4_FP_DELETE_OBJ>>
| Shared capability that implements automatic free and unmap+delete of the capability selector.

## Functions

template<typename T>
Shared_cap< T > | L4Re::Util::make_shared_cap ()
| Allocate a capability slot and wrap it in a Shared_cap.
template<typename T>
Shared_del_cap< T > | L4Re::Util::make_shared_del_cap ()
| Allocate a capability slot and wrap it in a Shared_del_cap.

## Detailed Description

Shared_cap / Shared_del_cap.

Definition in file shared_cap.